server {
	listen               80;
	server_name          localhost;
	location / {
		return              301 https://$host$request_uri;
	}
	location /.well-known/acme-challenge/ {
		root                /var/www/certbot;
	}
}

server {

	listen               	443 ssl default_server;
	server_name          	localhost;
	ssl_certificate      	/etc/letsencrypt/live/localhost/fullchain.pem;
	ssl_certificate_key  	/etc/letsencrypt/live/localhost/privkey.pem;
	include              	/etc/letsencrypt/options-ssl-nginx.conf;
	ssl_dhparam          	/etc/letsencrypt/ssl-dhparams.pem;
	client_max_body_size    5G;

	location /isi/ {
		proxy_pass          https://isic3isp.iit.cnr.it:8443/;
		proxy_set_header    X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_set_header    Host $host;
		proxy_redirect      off;
		proxy_send_timeout  60m;
		proxy_read_timeout  60m;
		proxy_next_upstream_timeout 0;
	}


	location /iai/ {
		proxy_pass          https://iaic3isp.iit.cnr.it:8443/;
		proxy_set_header    X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_set_header    Host $host;
		proxy_redirect      off;
		proxy_send_timeout  60m;
		proxy_read_timeout  60m;
		proxy_next_upstream_timeout 0;
	}


	location /pilot-interface/ {
		proxy_pass          http://portal:80;
		proxy_set_header    X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_set_header    Host $host;
		proxy_redirect      off;
		proxy_send_timeout  60m;
		proxy_read_timeout  60m;
		proxy_next_upstream_timeout 0;
	}


}
